﻿using System;
using System.Collections.Generic;
using System.Text;


namespace Com.Piwigo.Lib.DTO
{

    public class PwgImage
    {
        public Int32 Id { get; set; }
        public Int32 Width { get; set; }
        public Int32 Height { get; set; }
        public String File { get; set; }
        public Uri UrlThunb { get; set; }
        public Uri UrlElement { get; set; }
        public Uri UrlHighDef { get; set; }
        public Int64 Counter { get; set; }

        public List<PwgTag> Tags { get; set; }

        public List<PwgCategory> Categories { get; set; }

    }

    public class PwgImageRate
    {
        public Int32 Count { get; set; }
        public Double  Average { get; set; }
        public Double Stdev { get; set; }
    }
}
