﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Com.Piwigo.Lib.Proxy;
using Com.Piwigo.Lib.Service;
using Com.Piwigo.Lib.DTO;
using Com.Piwigo.Lib.Proxy.Response;


namespace TestPiwigoLib
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }

        private void button1_Click(object sender, EventArgs e)
        {
            PwgConfigProxy.PwgUserAgent = "TestPiwigoLib";
            PwgConfigProxy.PwgServeurUriBuilder.Host = tbServer.Text;
            PwgConfigProxy.PwgServeurUriBuilder.Path = "phpwebgallery/ws.php";
            PwgConfigProxy.PwgServeurUriBuilder.Scheme = "http://";

            Console.WriteLine(PwgConfigProxy.PwgServeurUriBuilder.Uri.AbsoluteUri);

            try
            {
                PwgSession sess = null;
                sess = PwgSessionService.GetPwgSession();
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);

                sess = PwgSessionService.Login(tbUser.Text,tbPassword.Text);
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);

                //Boolean rc = PwgTagsService.AddTag("Loic");

                //List<PwgTag> lstTag = PwgTagsService.GetAdminListOfTag();

                //Int32 Page = 0;
                //Int32 PerPage = 0; 
                //Int32 Count = 0;

                //List<PwgImage> lstImg = PwgTagsService.GetListOfImagesFormTags(new List<Int32>() { 1, 7 },
                //    null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null,
                //    ref Page, ref PerPage, ref Count);

                //List<PwgImage> lstImg = PwgCategoriesService.GetListOfImagesFormCategory(1,
                //    null, null, null, null, null, null, null, null, null, null, null, null, null, null, null,
                //    ref Page, ref PerPage, ref Count);

                //Console.WriteLine("lstImg : Page " + Page.ToString() + " PerPage " + PerPage);

                //List<PwgCategory> lstCat = PwgCategoriesService.GetAdminListOfCategory(); 

                //Int32 newid = 0;
                //String msg = String.Empty;
                //Boolean rc = PwgCategoriesService.AddCategory("test_cat", 1, ref  newid, ref msg);
                //Console.WriteLine(String.Format("newid : {0} message : {1}", newid,msg));
                //rc = PwgCategoriesService.UpdateCategoryInfo(newid, "test2", "rename cat");

                PwgImageRate imgRate = PwgImagesService.RateImage(1, 5);

                sess = PwgSessionService.Logout();
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);
            }
            catch (PwgServiceException ex)
            {
                Console.WriteLine("Erreur " + ex.NumeroErr + " " + ex.MessageErr);
                Console.WriteLine(ex.Message);
            }
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            global::TestPiwigoLib.Properties.Settings.Default.Save();
        }
    }
}
